# needed to run numerical comparisons on python version
%define my_py_ver %(echo %py_ver | tr -d '.')

Summary:	Bittorrent client based on GTK+ 2
Name:		deluge
Version:	0.5.9.0
Release:	%mkrel 1
Source0:	http://download.deluge-torrent.org/tarball/%{version}/%{name}-%{version}.tar.gz
# FOR SYSTEM LIBTORRENT Source1: %{name}-fixed-setup.py
License:	GPLv2+
Group:		Networking/File transfer
Url:		http://deluge-torrent.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	desktop-file-utils
# FOR SYSTEM LIBTORRENT BuildRequires: libtorrent-rasterbar-devel
BuildRequires:	python-devel
BuildRequires:	boost-devel
BuildRequires:	libz-devel
BuildRequires:	openssl-devel
BuildRequires:	ImageMagick
Requires:	python-dbus
Requires:	librsvg2
Requires:	pyxdg
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gnomevfs

%description
Deluge is a Bittorrent client written in Python and GTK+. Deluge is 
intended to bring a native, full-featured client to Linux GTK+ desktop 
environments such as GNOME and XFCE.

%prep
%setup -q -n deluge-torrent-%version
# FOR SYSTEM LIBTORRENT install -m 0755 %{SOURCE1} ./setup.py

%build
# FOR SYSTEM LIBTORRENT # We forcibly don't store the installation directory during the build, so
# FOR SYSTEM LIBTORRENT # we need to ensure that it is properly inserted into the code as required.
# FOR SYSTEM LIBTORRENT perl -pi -e "s,INSTALL_PREFIX = '@datadir@',INSTALL_PREFIX = '%{_prefix}',g" \
# FOR SYSTEM LIBTORRENT 	src/dcommon.py

%ifarch x86_64 sparc64
	CFLAGS="%{optflags} -DAMD64" python setup.py build
%else
	CFLAGS="%{optflags}" python setup.py build
%endif

%install
rm -rf %{buildroot}
python ./setup.py install --root=%{buildroot}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
  --add-category="GTK" \
  --remove-category="Application" \
  --add-category="P2P" \
  --add-category="FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*


mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16,scalable}/apps
install -m 644 pixmaps/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 644 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
rm -f %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%find_lang %{name}

%post
%{update_icon_cache hicolor}
%{update_menus}
%{update_desktop_database}
%postun
%{clean_icon_cache hicolor}
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%if %{my_py_ver} >= 25
%{py_platsitedir}/deluge-%{version}-py*
%endif
%{py_platsitedir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Thu May 01 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.9.0-1mdv2009.0
+ Revision: 199845
- drop versioncheck.patch: upstream default was changed to off
- new release 0.5.9.0

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.8.9-1mdv2009.0
+ Revision: 195190
- new release 0.5.8.9

* Sat Apr 12 2008 trem <trem@mandriva.org> 0.5.8.7-1mdv2009.0
+ Revision: 192617
- update to 0.5.8.7

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.8.6-1mdv2008.1
+ Revision: 189224
- new release 0.5.8.6 (bugfixes)

* Sun Mar 02 2008 trem <trem@mandriva.org> 0.5.8.5-1mdv2008.1
+ Revision: 177790
- update to 0.5.8.5

* Sat Feb 23 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.8.4-1mdv2008.1
+ Revision: 174059
- rediff versioncheck.patch, and don't bother patching the Windows default options any more in it
- new release 0.5.8.4

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 0.5.8.3-1mdv2008.1
+ Revision: 161327
- New version 0.5.8.3

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.5.8.2-1mdv2008.1
+ Revision: 158539
- New version 0.5.8.2

  + Adam Williamson <awilliamson@mandriva.com>
    - new release 0.5.8.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 0.5.8-1mdv2008.1
+ Revision: 139517
- New version 0.5.8

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.7.98-1mdv2008.1
+ Revision: 138666
- rediff versioncheck.patch
- re-add French translation to see if it works yet (cf. http://forum.mandriva.com/viewtopic.php?t=77442)
- new version 0.5.7.98 (0.5.8 RC2)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Funda Wang <fundawang@mandriva.org> 0.5.7.1-1mdv2008.1
+ Revision: 114529
- New version 0.5.7.1
- fix requires on librsvg

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - correct requires on librsvg2

* Tue Nov 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.6.96-1mdv2008.1
+ Revision: 113520
- new release 0.5.6.96

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add missing requires

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.5.6.2-2mdv2008.1
+ Revision: 105179
- drop patch 0 and build with new boost

* Thu Nov 01 2007 Funda Wang <fundawang@mandriva.org> 0.5.6.2-1mdv2008.1
+ Revision: 104332
- New version 0.5.6.1
- rediff boost patch

* Tue Oct 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.6.1-1mdv2008.1
+ Revision: 103898
- rediff boost patch
- new release 0.5.6.1

* Thu Oct 25 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.6-1mdv2008.1
+ Revision: 102022
- adjust icon stuff for upstream changes
- rediff boost patch
- new release 0.5.6
- new release 0.5.6

* Sun Oct 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.5-3mdv2008.1
+ Revision: 101030
- require gnome-python-gnomevfs
- require pygtk2.0-libglade

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.5.5-2mdv2008.1
+ Revision: 100910
- fix build with new boost

* Wed Oct 10 2007 Funda Wang <fundawang@mandriva.org> 0.5.5-1mdv2008.1
+ Revision: 96832
- New version 0.5.5

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix icons installation

* Thu Sep 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.4.1-3mdv2008.0
+ Revision: 93341
- update icon name fix (png vs. xpm)
- remove the French translation, it's broken somehow and I don't know how to fix
- re-adopt some of tpg's cleanups
- correct license
- add deluge-0.5.4.1-versioncheck.patch to disable the new version check
- revert to 0.5.4.1 per maintainers@ post

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - spec file clean
    - handle nicely installation of icons
    - do not hardcode icon extension in desktop file
    - new version

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.4.1-1mdv2008.0
+ Revision: 62298
- new release 0.5.4.1

* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 0.5.4-1mdv2008.0
+ Revision: 60901
- New version 0.5.4
- rediff patch

* Fri Jul 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.3-1mdv2008.0
+ Revision: 56130
- new release 0.5.3

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.2.90-1mdv2008.0
+ Revision: 54331
- test for python version not MDV version in determining whether to include certain python files (this is more correct)
- revise size range and generation strategy for fd.o icons
- drop old icons
- specify license as GPLv2
- clean spec (tabs, consistent variables)
- new release 0.5.2.90 (0.5.3 RC1)
- bump to retry backport

* Fri Jul 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.2-1mdv2008.0
+ Revision: 49233
- rediff patch0
- new release 0.5.2

* Sun Jul 01 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.1.90-1mdv2008.0
+ Revision: 46191
- new release 0.5.1.90 (0.5.2 RC1); rediff patch0

* Sat Jun 16 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.1.1-1mdv2008.0
+ Revision: 40349
- okay, try fixing the boost issue another way
- fix distro test in setup.py for releases other than 2007.1
- new release 0.5.1.1, some spec cleaning
- real fix for 2007.0 build (the file apparently doesn't exist under python 2.4 at all)

* Fri Apr 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.0-3mdv
+ Revision: 16367
- fix build on 2007.0 (remove specific reference to python 2.5 file in files list)


* Wed Mar 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.0-2mdv2007.1
+ Revision: 147655
- generate fd.o icons in spec, use them in .desktop

* Mon Mar 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.0-1mdv2007.1
+ Revision: 146380
- drop the patch (fixed upstream)
- 0.5.0 final
- Import deluge

  + Michael Scherer <misc@mandriva.org>
    - fix french translation

